#include "Bitset.h"
#include "string.h"

void Set8_16(uint16_t *Dat , uint8_t *BufferH, uint8_t *BufferL)
{
	uint16_t temp_dat;
	uint8_t temp_BufferH, temp_BufferL;
	temp_BufferH = *BufferH;
	temp_BufferL = *BufferL;
	temp_dat = (temp_BufferH << 8)|temp_BufferL;
	
	memcpy(Dat, &temp_dat, 2);
	
}

void Set16_32(uint32_t *Dat , uint16_t *BufferH, uint16_t *BufferL)
{
	uint32_t temp_dat;
	uint16_t temp_BufferH, temp_BufferL;
	temp_BufferH = *BufferH;
	temp_BufferL = *BufferL;
	temp_dat = (temp_BufferH << 16)|temp_BufferL;
	
	memcpy(Dat, &temp_dat, 4);
	
}